Index: client_app/src/components/work/company_internships.js
===================================================================
--- client_app/src/components/work/company_internships.js	(revision 4302312051f1972813dff1cedf494d6cfc1a4ae2)
+++ client_app/src/components/work/company_internships.js	(revision ed3f5c40ee574173f3926bd65ca1169d6fe4b27f)
@@ -12,12 +12,9 @@
                     <Button as={Link} to={"/register/internship"} primary>Add</Button>
                     <h1>Registered Internships:</h1>
-                    {props.userProfile.internships.map(item =>{
+                    {props.userProfile.internships.map((item, index) =>{
                         return <Internships
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsTrained}
-                            type={props.userProfile.type}
+                            key={item.id}
+                            index={index}
+                            item={item}
                         />
                     })}
Index: client_app/src/components/work/company_jobs.js
===================================================================
--- client_app/src/components/work/company_jobs.js	(revision 4302312051f1972813dff1cedf494d6cfc1a4ae2)
+++ client_app/src/components/work/company_jobs.js	(revision ed3f5c40ee574173f3926bd65ca1169d6fe4b27f)
@@ -12,6 +12,8 @@
                     <Button as={Link} to={"/register/job"} primary>Add</Button>
                     <h1>Registered Jobs:</h1>
-                    {props.userProfile.jobs.map(item =>{
+                    {props.userProfile.jobs.map((item, index) =>{
                         return <Jobs
+                            key={item.id}
+                            index={index}
                             item={item}
                         />
Index: client_app/src/components/work/team_jobs.js
===================================================================
--- client_app/src/components/work/team_jobs.js	(revision 4302312051f1972813dff1cedf494d6cfc1a4ae2)
+++ client_app/src/components/work/team_jobs.js	(revision ed3f5c40ee574173f3926bd65ca1169d6fe4b27f)
@@ -12,6 +12,8 @@
                     <Button as={Link} to={"/register/job"} primary>Add</Button>
                     <h1>Registered Jobs:</h1>
-                    {props.userProfile.jobs.map(item =>{
+                    {props.userProfile.jobs.map((item, index) =>{
                         return <Jobs
+                            key={item.id}
+                            index={index}
                             item={item}
                         />
Index: client_app/src/components/work/team_projects.js
===================================================================
--- client_app/src/components/work/team_projects.js	(revision 4302312051f1972813dff1cedf494d6cfc1a4ae2)
+++ client_app/src/components/work/team_projects.js	(revision ed3f5c40ee574173f3926bd65ca1169d6fe4b27f)
@@ -12,12 +12,9 @@
                     <Button as={Link} to={"/register/project"} primary>Add</Button>
                     <h1>Registered Projects:</h1>
-                    {props.userProfile.projects.map(item =>{
+                    {props.userProfile.projects.map((item, index) =>{
                         return <Projects
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
+                            key={item.id}
+                            index={index}
+                            item={item}
                         />
                     })}
Index: client_app/src/components/work/user_internships.js
===================================================================
--- client_app/src/components/work/user_internships.js	(revision 4302312051f1972813dff1cedf494d6cfc1a4ae2)
+++ client_app/src/components/work/user_internships.js	(revision ed3f5c40ee574173f3926bd65ca1169d6fe4b27f)
@@ -10,12 +10,9 @@
                 <Container>
                 <h1>Internships for you!</h1>
-                {props.userProfile.internships.map(item =>{
+                {props.userProfile.internships.map((item, index) =>{
                     return <Internships
-                        title={item.title}
-                        description={item.description}
-                        accountName={item.accountName}
-                        accountEmail={item.accountEmail}
-                        skills={item.skillsTrained}
-                        type={props.userProfile.type}
+                        key={item.id}
+                        index={index}
+                        item={item}
                     />})
                 }
Index: client_app/src/components/work/user_jobs.js
===================================================================
--- client_app/src/components/work/user_jobs.js	(revision 4302312051f1972813dff1cedf494d6cfc1a4ae2)
+++ client_app/src/components/work/user_jobs.js	(revision ed3f5c40ee574173f3926bd65ca1169d6fe4b27f)
@@ -11,6 +11,8 @@
                 <Container textAlign="left">
                     <h1>Jobs for you!</h1>
-                    {props.userProfile.jobs.map(item =>{
+                    {props.userProfile.jobs.map((item, index) =>{
                         return <Jobs
+                            key={item.id}
+                            index={index}
                             item={item}
                         />
Index: client_app/src/components/work/user_projects.js
===================================================================
--- client_app/src/components/work/user_projects.js	(revision 4302312051f1972813dff1cedf494d6cfc1a4ae2)
+++ client_app/src/components/work/user_projects.js	(revision ed3f5c40ee574173f3926bd65ca1169d6fe4b27f)
@@ -10,12 +10,9 @@
                 <Container>
                     <h1>Projects for you!</h1>
-                    {props.userProfile.projects.map(item =>{
+                    {props.userProfile.projects.map((item,index) =>{
                         return <Projects
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
+                            key={item.id}
+                            index={index}
+                            item={item}
                         />})
                     }
